summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--test/integration/targets/expect/tasks/main.yml4
-rw-r--r--test/integration/targets/filters/filters.yml4
-rwxr-xr-xtest/integration/targets/filters/runme.sh9
-rw-r--r--test/runner/requirements/integration.txt3
4 files changed, 17 insertions, 3 deletions
diff --git a/test/integration/targets/expect/tasks/main.yml b/test/integration/targets/expect/tasks/main.yml
index 7a54d84aef..6980192748 100644
--- a/test/integration/targets/expect/tasks/main.yml
+++ b/test/integration/targets/expect/tasks/main.yml
@@ -15,6 +15,10 @@
#
# You should have received a copy of the GNU General Public License
# along with Ansible. If not, see <http://www.gnu.org/licenses/>.
+- name: Install test requirements
+ pip:
+ name: pexpect
+ state: present
- name: record the test_command file
set_fact: test_command_file={{output_dir | expanduser}}/test_command.py
diff --git a/test/integration/targets/filters/filters.yml b/test/integration/targets/filters/filters.yml
new file mode 100644
index 0000000000..81b9592b51
--- /dev/null
+++ b/test/integration/targets/filters/filters.yml
@@ -0,0 +1,4 @@
+- hosts: testhost
+ gather_facts: yes
+ roles:
+ - { role: filters }
diff --git a/test/integration/targets/filters/runme.sh b/test/integration/targets/filters/runme.sh
new file mode 100755
index 0000000000..c3a63730e3
--- /dev/null
+++ b/test/integration/targets/filters/runme.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -eux
+
+# Requirements have to be installed prior to running ansible-playbook
+# because plugins and requirements are loaded before the task runs
+pip install jmespath
+
+ANSIBLE_ROLES_PATH=../ ansible-playbook filters.yml -i ../../inventory -e @../../integration_config.yml "$@"
diff --git a/test/runner/requirements/integration.txt b/test/runner/requirements/integration.txt
index 1ee3dc8e25..f827e9fce8 100644
--- a/test/runner/requirements/integration.txt
+++ b/test/runner/requirements/integration.txt
@@ -1,9 +1,6 @@
cryptography
jinja2
-jmespath
junit-xml
ordereddict ; python_version < '2.7'
paramiko
-passlib
-pexpect
pyyaml